Holger's Java API

## com.antelmann.util
Interface ValueRetriever<T>

All Known Implementing Classes:
  AbstractDialogCellEditor, BinaryData, ColorDialogCellEditor, ConnectorSettings, DateDialogCellEditor, FormDialog, FormDialogCellEditor, GeoProperty, ImageHolder, ImageViewerFrame, IteratorQueue, JCategoryField, JDataMatrixView, JDataMatrixView.Cell, JDateRangeChooser, JDateTimeChooser, JEnumField, JFileField, JFilteredTableComponent, JImagePanel, JMessageTable, JMethodTableModelComponent, JPopMessageTable, JPreviewPane, JPrinterSelect, JPropertyEntryComponent, JPropertyEntryForm, JSearchList, JSearchTable, JSearchTree, JTagsField, JURLField, JYouTubeField, MJPEGHandler, Placeholder, ReferenceHolder, SoftHolder, SQLValueRetriever, TextDialogCellEditor, TransactionalNumberGenerator, WeakHolder

    public interface ValueRetriever<T>

provides a way to access a specific value that is relevant to a given context at the time of calling the interface's method

Since:
  24. Mai 2007, 14:03
Author:
  Holger Antelmann
See Also:
  `ValueSetter`, `ListRetriever`

Method Summary
`T` `getRelevantValue()` returns the relevant value for this instance at the time of calling

Method Detail

### getRelevantValue

    T getRelevantValue()
                       throws IOException

  returns the relevant value for this instance at the time of calling

  Throws:
    `IOException` - if any resource to fulfill the request is not accessible

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads